<?php
namespace Teknisa\PLA\Modules\Parametros\Controllers;

use Zeedhi\Framework\DTO;

class Ger96000CentralReport extends \Zeedhi\Framework\Controller\Report{
    
    protected $reportService;
    protected $qr2Strategy;
    
    public function __construct($reportService, $qr2Strategy) {
        $this->reportService = $reportService;
        $this->qr2Strategy = $qr2Strategy;
    }
    
    protected $reportMapping = array (
        'GER96000' =>
            array (
                'strategy' => 'QR2',
                'parameterMapping' =>
                    array (
                        'LFILIAL' => 'P_CDFILIAL',
                        'TFILIAL' => 'P_TCDFILIAL'
                    )
            )
    );
    
    public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response) {
        $row = $request->getRow();
        $this->qr2Strategy->setQr2Type($row['QR2TYPE']);
    }
}